Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## APStudio.editors
Class NonRuleBasedDamagerRepairer

    java.lang.Object
      |
      +--APStudio.editors.NonRuleBasedDamagerRepairer

All Implemented Interfaces:
  org.eclipse.jface.text.presentation.IPresentationDamager, org.eclipse.jface.text.presentation.IPresentationRepairer

public class NonRuleBasedDamagerRepairer
extends java.lang.Object
implements org.eclipse.jface.text.presentation.IPresentationDamager, org.eclipse.jface.text.presentation.IPresentationRepairer

Constructor Summary
`NonRuleBasedDamagerRepairer(org.eclipse.jface.text.TextAttribute defaultTextAttribute)` Constructor for NonRuleBasedDamagerRepairer.

Method Summary
`void` | `createPresentation(org.eclipse.jface.text.TextPresentation presentation, org.eclipse.jface.text.ITypedRegion region)`
`org.eclipse.jface.text.IRegion` | `getDamageRegion(org.eclipse.jface.text.ITypedRegion partition, org.eclipse.jface.text.DocumentEvent event, boolean documentPartitioningChanged)`
`void` | `setDocument(org.eclipse.jface.text.IDocument document)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NonRuleBasedDamagerRepairer

    public NonRuleBasedDamagerRepairer(org.eclipse.jface.text.TextAttribute defaultTextAttribute)

  Constructor for NonRuleBasedDamagerRepairer.

Method Detail

### setDocument

    public void setDocument(org.eclipse.jface.text.IDocument document)

  Specified by:
    `setDocument` in interface `org.eclipse.jface.text.presentation.IPresentationDamager`
  See Also:
    `IPresentationRepairer.setDocument(IDocument)`

### getDamageRegion

    public org.eclipse.jface.text.IRegion getDamageRegion(org.eclipse.jface.text.ITypedRegion partition,
                                                          org.eclipse.jface.text.DocumentEvent event,
                                                          boolean documentPartitioningChanged)

  Specified by:
    `getDamageRegion` in interface `org.eclipse.jface.text.presentation.IPresentationDamager`
  See Also:
    `IPresentationDamager.getDamageRegion(ITypedRegion, DocumentEvent, boolean)`

### createPresentation

    public void createPresentation(org.eclipse.jface.text.TextPresentation presentation,
                                   org.eclipse.jface.text.ITypedRegion region)

  Specified by:
    `createPresentation` in interface `org.eclipse.jface.text.presentation.IPresentationRepairer`
  See Also:
    `IPresentationRepairer.createPresentation(TextPresentation, ITypedRegion)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD